# class Tk::Menubutton

### Constants

TkCommandNames
WidgetClassName

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tk/menu.rb, line 569
    def __boolval_optkeys
      super() << 'indicatoron'
    end

create_self(keys) click to toggle source

    # File lib/tk/menu.rb, line 542
    def create_self(keys)
      if keys and keys != None
        unless TkConfigMethod.__IGNORE_UNKNOWN_CONFIGURE_OPTION__
          # tk_call_without_enc('menubutton', @path, *hash_kv(keys, true))
          tk_call_without_enc(self.class::TkCommandNames[0], @path,
                              *hash_kv(keys, true))
        else
          begin
            tk_call_without_enc(self.class::TkCommandNames[0], @path,
                                *hash_kv(keys, true))
          rescue
            tk_call_without_enc(self.class::TkCommandNames[0], @path)
            keys = __check_available_configure_options(keys)
            unless keys.empty?
              tk_call_without_enc('destroy', @path) rescue nil
              tk_call_without_enc(self.class::TkCommandNames[0], @path,
                                  *hash_kv(keys, true))
            end
          end
        end
      else
        # tk_call_without_enc('menubutton', @path)
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end